rem ---------------------------------------
rem    Motorola AS11 Small C batch file
rem ---------------------------------------
@rem  param 1 = program path
@rem  param 2 = input file drive only (ex. "a:")
@rem  param 3 = input file directory only (ex. "\subdir1\subdir2"
@rem  param 4 = input file name only
@rem  param 5 = input file extension only
@rem --------------------------------------
@rem Small C must compile from it's own directory, therefore we must move
@rem the input file there, compile it, then move the output files back.
@rem --------------------------------------
cd .\SMALLC
copy %2%3\%4.%5 .

copy %4.%5+6811_lib.c aspo.c
cc aspo.c
copy dataout.asm+codeout.asm %4.asm
as11 %4.asm -l cre s >%4.lst

@rem Copy all outputfiles to the user's directory
copy %4.s19 %2%3
copy %4.lst %2%3
copy %4.asm %2%3
copy aspo.c %2%3
copy dataout.asm %2%3
copy codeout.asm %2%3

@rem Delete processed files from the program directory
del %4.s19
del %4.lst
del %4.asm
del aspo.c
del dataout.asm
del codeout.asm
del %4.%5

edit %2%3\%4.lst



